using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/// <summary>
/// Logic block which deals with moving a character in a direction
/// </summary>
[CreateAssetMenu(menuName = "Major Project/Rotate Block")]
public class Rotate : LogicBlock
{
    #region Inspector Fields
    [SerializeField]
    [Header("Rotate Settings")]
    [Tooltip("Direction to rotate in")]
    protected Direction direction;
    #endregion Inspector Fields


    #region Class Functions

    /// <summary>
    /// Rotates the player in the direction specified by this block
    /// </summary>
    /// <param name="player">Player to rotate</param>
    protected override void BlockLogic(Character player, float animationTime)
    {
        player.Rotate(direction, animationTime);
    }

    #endregion Class Functions
}
